Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Interface TaxResult

All Known Implementing Classes:
  TaxResultImpl

public interface TaxResult
extends Belonging

A holder for various taxinfo belongings: total: A summary of all taxes and reasons line: A ordered list of lines that correspond to various taxes. The order is the same as the order of the taxlinelist being used to generate the taxes. Attribute: line One TaxInformation for each line in the original order.

- Containment: By Value
- Multiplicity: 0:N
- Interface: java.util.Collection

Attribute: total The total information for the order that was processed.

- Containment: By Value
- Multiplicity: 1:1

See Also:
  `TaxResultHome`, `TaxResultImpl`

Method Summary
`void` | `calculateTotals()` This method should be called by anyone constructing TaxResults, it will calculate the total TaxInformation attribute.
`java.util.List` | `getLine()` Get the value of line
`TaxInformation` | `getTotal()` Get the value of total
`void` | `setLine(java.util.List list)` Set the value of Line
`void` | `setTotal(TaxInformation total)` Set the value of total

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getLine

    public java.util.List getLine()

  Get the value of line

  Returns:
    line.

### setLine

    public void setLine(java.util.List list)

  Set the value of Line

  Parameters:
    `line` - to be set

### getTotal

    public TaxInformation getTotal()

  Get the value of total

  Returns:
    total.

### setTotal

    public void setTotal(TaxInformation total)

  Set the value of total

  Parameters:
    `total` - total to be added

### calculateTotals

    public void calculateTotals()

  This method should be called by anyone constructing TaxResults, it will calculate the total TaxInformation attribute. Typically, the caller would be a subclass of TaxCalculator. The user of a TaxCalculator does not have to call calculateTotals.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved